### Method

# Gimp Gradient segment_set_right_color

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_set_right_color (
      GimpGradient* gradient,
      gint segment,
      GeglColor* color
    )

#### Description [src]

Sets the right endpoint color of the segment

Sets the right endpoint color of the segment of the gradient. The alpha channel of the `GeglColor` is taken into account. Returns an error when gradient is not editable or segment index is out of range.

Available since: 2.2

#### Parameters

`segment`

  Type: `gint`

  The index of a segment within the gradient.

`color`

  Type: `GeglColor`

  The color to set.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.